Index: libmpc/trunk/win32/libcommon.vcproj
===================================================================
--- libmpc/trunk/win32/libcommon.vcproj	(revision 330)
+++ libmpc/trunk/win32/libcommon.vcproj	(revision 331)
@@ -146,8 +146,12 @@
 	<Files>
 		<Filter
-			Name="Source Files"
+			Name="sources"
 			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
 			>
+			<File
+				RelativePath=".\attgetopt.c"
+				>
+			</File>
 			<File
 				RelativePath="..\common\crc32.c"
@@ -159,4 +163,12 @@
 			</File>
 		</Filter>
+		<Filter
+			Name="headers"
+			>
+			<File
+				RelativePath=".\getopt.h"
+				>
+			</File>
+		</Filter>
 	</Files>
 	<Globals>
Index: libmpc/trunk/win32/libmpcdec.vcproj
===================================================================
--- libmpc/trunk/win32/libmpcdec.vcproj	(revision 330)
+++ libmpc/trunk/win32/libmpcdec.vcproj	(revision 331)
@@ -150,5 +150,5 @@
 	<Files>
 		<Filter
-			Name="Headers"
+			Name="headers"
 			>
 			<File
@@ -178,5 +178,5 @@
 		</Filter>
 		<Filter
-			Name="Sources"
+			Name="sources"
 			>
 			<File
@@ -214,5 +214,5 @@
 		</Filter>
 		<Filter
-			Name="Interface"
+			Name="interface"
 			>
 			<File
Index: libmpc/trunk/win32/libmpcenc.vcproj
===================================================================
--- libmpc/trunk/win32/libmpcenc.vcproj	(revision 330)
+++ libmpc/trunk/win32/libmpcenc.vcproj	(revision 331)
@@ -148,5 +148,5 @@
 	<Files>
 		<Filter
-			Name="Header Files"
+			Name="headers"
 			Filter="h;hpp;hxx;hm;inl;inc;xsd"
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
@@ -158,5 +158,5 @@
 		</Filter>
 		<Filter
-			Name="Source Files"
+			Name="sources"
 			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
Index: libmpc/trunk/win32/libmpcpsy.vcproj
===================================================================
--- libmpc/trunk/win32/libmpcpsy.vcproj	(revision 330)
+++ libmpc/trunk/win32/libmpcpsy.vcproj	(revision 331)
@@ -148,5 +148,5 @@
 	<Files>
 		<Filter
-			Name="Header Files"
+			Name="headers"
 			Filter="h;hpp;hxx;hm;inl;inc;xsd"
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
@@ -158,5 +158,5 @@
 		</Filter>
 		<Filter
-			Name="Source Files"
+			Name="sources"
 			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
Index: libmpc/trunk/win32/libwavformat.vcproj
===================================================================
--- libmpc/trunk/win32/libwavformat.vcproj	(revision 330)
+++ libmpc/trunk/win32/libwavformat.vcproj	(revision 331)
@@ -151,5 +151,5 @@
 	<Files>
 		<Filter
-			Name="Headers"
+			Name="headers"
 			>
 			<File
@@ -159,5 +159,5 @@
 		</Filter>
 		<Filter
-			Name="Sources"
+			Name="sources"
 			>
 			<File
Index: libmpc/trunk/win32/mpc2sv8.sln
===================================================================
--- libmpc/trunk/win32/mpc2sv8.sln	(revision 330)
+++ 	(revision )
@@ -1,58 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpc2sv8", "mpc2sv8.vcproj", "{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}"
-	ProjectSection(ProjectDependencies) = postProject
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libcommon", "libcommon.vcproj", "{49A26D14-0AD0-497E-A982-42BFD4D992FC}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcpsy", "libmpcpsy.vcproj", "{7CF31624-B40E-466F-9107-785816C787C4}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcenc", "libmpcenc.vcproj", "{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-		{7CF31624-B40E-466F-9107-785816C787C4} = {7CF31624-B40E-466F-9107-785816C787C4}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcdec", "libmpcdec.vcproj", "{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Debug|Win32.ActiveCfg = Debug|Win32
-		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Debug|Win32.Build.0 = Debug|Win32
-		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Release|Win32.ActiveCfg = Release|Win32
-		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Release|Win32.Build.0 = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.Build.0 = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.ActiveCfg = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.Build.0 = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.ActiveCfg = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.Build.0 = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.ActiveCfg = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.Build.0 = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.ActiveCfg = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.Build.0 = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.ActiveCfg = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.Build.0 = Release|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.Build.0 = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.ActiveCfg = Release|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: libmpc/trunk/win32/mpc2sv8.vcproj
===================================================================
--- libmpc/trunk/win32/mpc2sv8.vcproj	(revision 330)
+++ libmpc/trunk/win32/mpc2sv8.vcproj	(revision 331)
@@ -185,60 +185,10 @@
 	<Files>
 		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\mpcenc\keyboard.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\mpcenc.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\pipeopen.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\stderr.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\tags.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\wave_in.c"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\winmsg.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
+			Name="sources"
 			Filter="h;hpp;hxx;hm;inl;inc;xsd"
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
 			>
 			<File
-				RelativePath="..\mpcenc\config.h"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\mpcenc.h"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\mpp.h"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\mppdec.h"
-				>
-			</File>
-			<File
-				RelativePath="..\mpcenc\predict.h"
+				RelativePath="..\mpc2sv8\mpc2sv8.c"
 				>
 			</File>
Index: libmpc/trunk/win32/mpccut.sln
===================================================================
--- libmpc/trunk/win32/mpccut.sln	(revision 330)
+++ 	(revision )
@@ -1,57 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpccut", "mpccut.vcproj", "{ABBF9DD7-650F-48A8-9810-B76F233520F3}"
-	ProjectSection(ProjectDependencies) = postProject
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libcommon", "libcommon.vcproj", "{49A26D14-0AD0-497E-A982-42BFD4D992FC}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcpsy", "libmpcpsy.vcproj", "{7CF31624-B40E-466F-9107-785816C787C4}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcenc", "libmpcenc.vcproj", "{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}"
-	ProjectSection(ProjectDependencies) = postProject
-		{7CF31624-B40E-466F-9107-785816C787C4} = {7CF31624-B40E-466F-9107-785816C787C4}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcdec", "libmpcdec.vcproj", "{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Debug|Win32.ActiveCfg = Debug|Win32
-		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Debug|Win32.Build.0 = Debug|Win32
-		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Release|Win32.ActiveCfg = Release|Win32
-		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Release|Win32.Build.0 = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.Build.0 = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.ActiveCfg = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.Build.0 = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.ActiveCfg = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.Build.0 = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.ActiveCfg = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.Build.0 = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.ActiveCfg = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.Build.0 = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.ActiveCfg = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.Build.0 = Release|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.Build.0 = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.ActiveCfg = Release|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: libmpc/trunk/win32/mpccut.vcproj
===================================================================
--- libmpc/trunk/win32/mpccut.vcproj	(revision 330)
+++ libmpc/trunk/win32/mpccut.vcproj	(revision 331)
@@ -185,24 +185,10 @@
 	<Files>
 		<Filter
-			Name="Source Files"
+			Name="sources"
 			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
 			>
 			<File
-				RelativePath=".\attgetopt.c"
-				>
-			</File>
-			<File
 				RelativePath="..\mpccut\mpccut.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath=".\getopt.h"
 				>
 			</File>
Index: libmpc/trunk/win32/mpcdec.sln
===================================================================
--- libmpc/trunk/win32/mpcdec.sln	(revision 330)
+++ 	(revision )
@@ -1,46 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcdec", "libmpcdec.vcproj", "{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libwavformat", "libwavformat.vcproj", "{13D176A2-B6BB-403F-A816-AA1F388078B7}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpcdec", "mpcdec.vcproj", "{A527175B-22A9-41AB-B2E8-580F573CCAFB}"
-	ProjectSection(ProjectDependencies) = postProject
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
-		{13D176A2-B6BB-403F-A816-AA1F388078B7} = {13D176A2-B6BB-403F-A816-AA1F388078B7}
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libcommon", "libcommon.vcproj", "{49A26D14-0AD0-497E-A982-42BFD4D992FC}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.Build.0 = Debug|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.ActiveCfg = Release|Win32
-		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.Build.0 = Release|Win32
-		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Debug|Win32.ActiveCfg = Debug|Win32
-		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Debug|Win32.Build.0 = Debug|Win32
-		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Release|Win32.ActiveCfg = Release|Win32
-		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Release|Win32.Build.0 = Release|Win32
-		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Debug|Win32.ActiveCfg = Debug|Win32
-		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Debug|Win32.Build.0 = Debug|Win32
-		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Release|Win32.ActiveCfg = Release|Win32
-		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Release|Win32.Build.0 = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.Build.0 = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.ActiveCfg = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: libmpc/trunk/win32/mpcdec.vcproj
===================================================================
--- libmpc/trunk/win32/mpcdec.vcproj	(revision 330)
+++ libmpc/trunk/win32/mpcdec.vcproj	(revision 331)
@@ -63,5 +63,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="libmpcdec_d.lib libwavformat_d.lib"
 				OutputFile="$(OutDir)\$(ProjectName)_d.exe"
 				AdditionalLibraryDirectories="../bin"
@@ -146,5 +145,4 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="libmpcdec.lib libwavformat.lib"
 				AdditionalLibraryDirectories="../bin"
 				GenerateManifest="false"
@@ -187,20 +185,8 @@
 	<Files>
 		<Filter
-			Name="Sources"
+			Name="sources"
 			>
 			<File
-				RelativePath=".\attgetopt.c"
-				>
-			</File>
-			<File
 				RelativePath="..\mpcdec\mpcdec.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Headers"
-			>
-			<File
-				RelativePath=".\getopt.h"
 				>
 			</File>
Index: libmpc/trunk/win32/mpcenc.sln
===================================================================
--- libmpc/trunk/win32/mpcenc.sln	(revision 330)
+++ 	(revision )
@@ -1,43 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpcenc", "mpcenc.vcproj", "{15082E34-9324-469F-8423-F995B4814A37}"
-	ProjectSection(ProjectDependencies) = postProject
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
-		{7CF31624-B40E-466F-9107-785816C787C4} = {7CF31624-B40E-466F-9107-785816C787C4}
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libcommon", "libcommon.vcproj", "{49A26D14-0AD0-497E-A982-42BFD4D992FC}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcpsy", "libmpcpsy.vcproj", "{7CF31624-B40E-466F-9107-785816C787C4}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcenc", "libmpcenc.vcproj", "{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{15082E34-9324-469F-8423-F995B4814A37}.Debug|Win32.ActiveCfg = Debug|Win32
-		{15082E34-9324-469F-8423-F995B4814A37}.Debug|Win32.Build.0 = Debug|Win32
-		{15082E34-9324-469F-8423-F995B4814A37}.Release|Win32.ActiveCfg = Release|Win32
-		{15082E34-9324-469F-8423-F995B4814A37}.Release|Win32.Build.0 = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.Build.0 = Debug|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.ActiveCfg = Release|Win32
-		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.Build.0 = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.ActiveCfg = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.Build.0 = Debug|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.ActiveCfg = Release|Win32
-		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.Build.0 = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.ActiveCfg = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.Build.0 = Debug|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.ActiveCfg = Release|Win32
-		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: libmpc/trunk/win32/mpcenc.vcproj
===================================================================
--- libmpc/trunk/win32/mpcenc.vcproj	(revision 330)
+++ libmpc/trunk/win32/mpcenc.vcproj	(revision 331)
@@ -185,5 +185,5 @@
 	<Files>
 		<Filter
-			Name="Source Files"
+			Name="sources"
 			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
@@ -219,5 +219,5 @@
 		</Filter>
 		<Filter
-			Name="Header Files"
+			Name="headers"
 			Filter="h;hpp;hxx;hm;inl;inc;xsd"
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
Index: libmpc/trunk/win32/musepack.sln
===================================================================
--- libmpc/trunk/win32/musepack.sln	(revision 331)
+++ libmpc/trunk/win32/musepack.sln	(revision 331)
@@ -0,0 +1,88 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 9.00
+# Visual Studio 2005
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpcenc", "mpcenc.vcproj", "{15082E34-9324-469F-8423-F995B4814A37}"
+	ProjectSection(ProjectDependencies) = postProject
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
+		{7CF31624-B40E-466F-9107-785816C787C4} = {7CF31624-B40E-466F-9107-785816C787C4}
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libcommon", "libcommon.vcproj", "{49A26D14-0AD0-497E-A982-42BFD4D992FC}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcpsy", "libmpcpsy.vcproj", "{7CF31624-B40E-466F-9107-785816C787C4}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcenc", "libmpcenc.vcproj", "{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpcdec", "mpcdec.vcproj", "{A527175B-22A9-41AB-B2E8-580F573CCAFB}"
+	ProjectSection(ProjectDependencies) = postProject
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
+		{13D176A2-B6BB-403F-A816-AA1F388078B7} = {13D176A2-B6BB-403F-A816-AA1F388078B7}
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpccut", "mpccut.vcproj", "{ABBF9DD7-650F-48A8-9810-B76F233520F3}"
+	ProjectSection(ProjectDependencies) = postProject
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "mpc2sv8", "mpc2sv8.vcproj", "{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}"
+	ProjectSection(ProjectDependencies) = postProject
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC} = {49A26D14-0AD0-497E-A982-42BFD4D992FC}
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96} = {44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3} = {4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libmpcdec", "libmpcdec.vcproj", "{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libwavformat", "libwavformat.vcproj", "{13D176A2-B6BB-403F-A816-AA1F388078B7}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{15082E34-9324-469F-8423-F995B4814A37}.Debug|Win32.ActiveCfg = Debug|Win32
+		{15082E34-9324-469F-8423-F995B4814A37}.Debug|Win32.Build.0 = Debug|Win32
+		{15082E34-9324-469F-8423-F995B4814A37}.Release|Win32.ActiveCfg = Release|Win32
+		{15082E34-9324-469F-8423-F995B4814A37}.Release|Win32.Build.0 = Release|Win32
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.ActiveCfg = Debug|Win32
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Debug|Win32.Build.0 = Debug|Win32
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.ActiveCfg = Release|Win32
+		{49A26D14-0AD0-497E-A982-42BFD4D992FC}.Release|Win32.Build.0 = Release|Win32
+		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.ActiveCfg = Debug|Win32
+		{7CF31624-B40E-466F-9107-785816C787C4}.Debug|Win32.Build.0 = Debug|Win32
+		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.ActiveCfg = Release|Win32
+		{7CF31624-B40E-466F-9107-785816C787C4}.Release|Win32.Build.0 = Release|Win32
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.ActiveCfg = Debug|Win32
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Debug|Win32.Build.0 = Debug|Win32
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.ActiveCfg = Release|Win32
+		{44EC1266-D2EE-47B8-ACFC-8BD52E7FFF96}.Release|Win32.Build.0 = Release|Win32
+		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Debug|Win32.ActiveCfg = Debug|Win32
+		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Debug|Win32.Build.0 = Debug|Win32
+		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Release|Win32.ActiveCfg = Release|Win32
+		{A527175B-22A9-41AB-B2E8-580F573CCAFB}.Release|Win32.Build.0 = Release|Win32
+		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Debug|Win32.ActiveCfg = Debug|Win32
+		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Debug|Win32.Build.0 = Debug|Win32
+		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Release|Win32.ActiveCfg = Release|Win32
+		{ABBF9DD7-650F-48A8-9810-B76F233520F3}.Release|Win32.Build.0 = Release|Win32
+		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Debug|Win32.ActiveCfg = Debug|Win32
+		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Debug|Win32.Build.0 = Debug|Win32
+		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Release|Win32.ActiveCfg = Release|Win32
+		{36225C6A-FFA3-4E70-928E-1F69F7A3FCE1}.Release|Win32.Build.0 = Release|Win32
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Debug|Win32.Build.0 = Debug|Win32
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.ActiveCfg = Release|Win32
+		{4C5362CD-0BF2-4B3B-971B-8293EB1A1DC3}.Release|Win32.Build.0 = Release|Win32
+		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Debug|Win32.ActiveCfg = Debug|Win32
+		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Debug|Win32.Build.0 = Debug|Win32
+		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Release|Win32.ActiveCfg = Release|Win32
+		{13D176A2-B6BB-403F-A816-AA1F388078B7}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
